Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1116486 - When importing a VM in RHEVM 3.4 all its disks turn from thin provision to preallocated
Summary: When importing a VM in RHEVM 3.4 all its disks turn from thin provision to pr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.4.0
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: ---
: 3.5.0
Assignee: Tal Nisan
QA Contact: Ori Gofen
URL:
Whiteboard: storage
: 1120226 (view as bug list)
Depends On:
Blocks: 1130246 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-07-05 02:39 UTC by yangfei
Modified: 2019-02-15 13:42 UTC (History)
21 users (show)

Fixed In Version: ovirt-engine-3.5.0_rc1.1
Doc Type: Bug Fix
Doc Text:
Since Red Hat Enterprise Virtualization 3.4, mixed domain types in the same data center were allowed. To be able to move or copy a image from a file domain to a block domain, the images were converted to raw+preallocated in the operation and was resource wasteful. With this update, images are converted to cow+sparse instead to be more resource efficient. This feature is also backported to Red Hat Enterprise Virtualization 3.4.2.
Clone Of:
: 1130246 (view as bug list)
Environment:
Last Closed: 2015-02-11 18:05:24 UTC
oVirt Team: Storage
Target Upstream Version:
amureini: Triaged+


Attachments (Terms of Use)
the latest test time is about 2014-07-16 13:12 (deleted)
2014-07-16 05:21 UTC, yangfei
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1155563 None None None Never
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 31523 None None None Never

Description yangfei 2014-07-05 02:39:58 UTC
Description of problem:

The disk from thin provision turns to Preallocated after import the vm on rhevm3.4

Version-Release number of selected component (if applicable):


How reproducible:

1. create a new vm using thin provision disk.
2. export the vm
3. import the vm 
4. the disk shows Preallocated


Steps to Reproduce:
1.
2.
3.

Actual results:
The disk  displayed as Preallocated

Expected results:
The disk should be displayed as thin provision

Additional info:

Comment 1 Allon Mureinik 2014-07-06 07:20:57 UTC
1. Please attach the log to the BZ.
2. What type of storage domain are you importing to?
3. Are you collapsing the disk?

Comment 2 yangfei 2014-07-16 05:21:44 UTC
Created attachment 918312 [details]
the latest test time is about 2014-07-16 13:12

Comment 3 yangfei 2014-07-16 05:23:30 UTC
1. Please attach the log to the BZ.

pls see attachment. It's easy to reproduce.

2. What type of storage domain are you importing to?

iscsi

3. Are you collapsing the disk?

I deleted the initial vm and import.

Comment 6 Sean Cohen 2014-07-30 16:37:57 UTC
*** Bug 1120226 has been marked as a duplicate of this bug. ***

Comment 9 Ori Gofen 2014-08-03 09:26:52 UTC
could might be same bug as BZ #1124469

Comment 10 Allon Mureinik 2014-08-03 09:46:50 UTC
(In reply to Ori from comment #9)
> could might be same bug as BZ #1124469
It isn't.

Comment 11 Tal Nisan 2014-08-04 08:30:38 UTC
*** Bug 1126200 has been marked as a duplicate of this bug. ***

Comment 14 Allon Mureinik 2014-08-17 06:08:34 UTC
Tal, just to make sure - bug 1130246 is in MODIFIED.
IIRC, it was opened just so we have an oVirt BZ to merge upon. Please confirm, and if so move this one to MODIFIED too.

Comment 15 Tal Nisan 2014-08-17 10:54:01 UTC
Indeed, same bug, same fix applies to both, moving to modified

Comment 17 Ori Gofen 2014-09-02 15:48:58 UTC
verified on rc1.1
steps taken:export vm+1 thin provision disk(nfs && iscsi)
then import back to the system as clone.
removed the original vm,and import it back as thin

Comment 19 errata-xmlrpc 2015-02-11 18:05:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.